%global ename  dash-to-panel
%global extdir %{_datadir}/gnome-shell/extensions/dash-to-panel@jderose9.github.com

Name:           gnome-shell-extension-%{ename}
Version:        44
Release:        1%{?dist}.inferit.1
Summary:        Integrated icon taskbar and status panel for Gnome Shell
License:        GPL-2.0-or-later
URL:            https://github.com/home-sweet-gnome/dash-to-panel
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# correct install paths
Patch0:         0001-Fix-system-install-paths.patch
# MSVSphere
Patch100:       0002-Updated-Russian-translation.patch
Patch101:       0003-Drop-some-items-from-panel-menu.patch
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  make
BuildRequires:  %{_bindir}/glib-compile-schemas
Requires:       clutter
Requires:       gnome-shell >= 40

%description
Dash to Panel is an icon taskbar for Gnome Shell. This extension moves the dash
into the gnome main panel so that the application launchers and system tray are
combined into a single panel, similar to that found in KDE Plasma and Windows
7+. A separate dock is no longer needed for easy access to running and favorited
applications.

%prep
%autosetup -n %{ename}-%{version} -p1

%build
%make_build VERSION=%{version}

%install
%make_install VERSION=%{version}
rm -v %{buildroot}%{extdir}/{COPYING,README.md}

%find_lang %{ename}

%files -f %{ename}.lang
%license COPYING
%doc README.md
%{extdir}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{ename}.gschema.xml

%changelog
* Wed Oct 11 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 44-1.inferit.1
- Drop some items from panel menu

* Wed Jun 14 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 44-1.inferit
- Updated Russian translation
- Rebuilt for MSVSphere 9.2

* Wed Jun 14 2023 MSVSphere Packaging Team <packager@msvsphere.ru> - 44-1
- Rebuilt for MSVSphere 9.2
